Subject: Re: bug#52994: 29.0.50; Help descriptions from menu bar items don't appear in the echo area

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Jan 2022 09:39:58 +0100

Daniel Martín <[email-masked]> writes:

> Steps to reproduce the problem:
>
> emacs -Q
> Click on File, place the mouse over "Visit New File", but don't click it.
>
> Expected results:
>
> "Specify a new file's name, to edit the file", which is the value for
> the :help keyword of that menu item, appears in the echo area, or
> perhaps in a tooltip.
>
> Actual results:
>
> Nothing appears in the echo area.

I'm unable to reproduce this problem on Debian -- is this a Macos
problem only?

On Macos, the menu is separated from the Emacs frame, and I'm guessing
it's impossible to do tooltips up there.  But I guess it could show the
tooltips in the echo area?  I.e., kinda emulate having tooltip-mode off
when doing the menus?

I've added Alan to the CCs; perhaps he has some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no